# AODataSegmentExists

Determines if a key and segment exists in the database.

### Synopsis

    #include "petscao.h"
    PetscErrorCode AODataSegmentExists(AOData aodata,const char keyname[],const char segname[],PetscTruth *flag)

Not collective

### Input Parameters

| keyname | - string name of key
| segname | - string name of segment

### Output Parameter

flag -PETSC_TRUE if found, else PETSC_FALSE

Level:advanced
Location:src/dm/ao/interface/aodata.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages